---
schema-version: '1.1'
build:
  name: OpenSearch Dashboards
  version: 2.19.4
  platform: linux
  architecture: x64
  distribution: tar
  location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/dist/opensearch-dashboards/opensearch-dashboards-2.19.4-linux-x64.tar.gz
  id: '8708'
components:
  - name: OpenSearch-Dashboards
    repository: https://github.com/opensearch-project/OpenSearch-Dashboards.git
    ref: 48cbc4e6b19c583fe0f5496a453768d8ad973c04
    commit_id: 48cbc4e6b19c583fe0f5496a453768d8ad973c04
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/dist/opensearch-dashboards-min-2.19.4-linux-x64.tar.gz
  - name: functionalTestDashboards
    repository: https://github.com/opensearch-project/opensearch-dashboards-functional-test.git
    ref: '2.19'
    commit_id: 19a4535d186c5967abe1e40cadce1cb56ec1fc62
  - name: observabilityDashboards
    repository: https://github.com/opensearch-project/dashboards-observability.git
    ref: 46e070fd05ed524e5b8c85cd483d22c0ab0c0f25
    commit_id: 46e070fd05ed524e5b8c85cd483d22c0ab0c0f25
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/observabilityDashboards-2.19.4.zip
  - name: reportsDashboards
    repository: https://github.com/opensearch-project/dashboards-reporting.git
    ref: 701a30bb2a8fd64bab80a8befbf35e3839b37e56
    commit_id: 701a30bb2a8fd64bab80a8befbf35e3839b37e56
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/reportsDashboards-2.19.4.zip
  - name: ganttChartDashboards
    repository: https://github.com/opensearch-project/dashboards-visualizations.git
    ref: 755abfb572a7c5611e7b0de9f8651e35f3e84404
    commit_id: 755abfb572a7c5611e7b0de9f8651e35f3e84404
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/ganttChartDashboards-2.19.4.zip
  - name: queryWorkbenchDashboards
    repository: https://github.com/opensearch-project/dashboards-query-workbench.git
    ref: 797862c5a72de9148b6b565d0e4b94a482108f29
    commit_id: 797862c5a72de9148b6b565d0e4b94a482108f29
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/queryWorkbenchDashboards-2.19.4.zip
  - name: customImportMapDashboards
    repository: https://github.com/opensearch-project/dashboards-maps.git
    ref: e6387f1e201dc7a4a3c8fd87b75090a901322c2d
    commit_id: e6387f1e201dc7a4a3c8fd87b75090a901322c2d
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/customImportMapDashboards-2.19.4.zip
  - name: anomalyDetectionDashboards
    repository: https://github.com/opensearch-project/anomaly-detection-dashboards-plugin.git
    ref: bc7af423bfcb44c0cdfff0ce0be5cadd88ce9075
    commit_id: bc7af423bfcb44c0cdfff0ce0be5cadd88ce9075
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/anomalyDetectionDashboards-2.19.4.zip
  - name: mlCommonsDashboards
    repository: https://github.com/opensearch-project/ml-commons-dashboards.git
    ref: f5cf5b7057681f29904efdf46c03e0d2f7d3a4d0
    commit_id: f5cf5b7057681f29904efdf46c03e0d2f7d3a4d0
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/mlCommonsDashboards-2.19.4.zip
  - name: indexManagementDashboards
    repository: https://github.com/opensearch-project/index-management-dashboards-plugin.git
    ref: c73ab38a5e4ca709381f78cfc1e2474fc277617f
    commit_id: c73ab38a5e4ca709381f78cfc1e2474fc277617f
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/indexManagementDashboards-2.19.4.zip
  - name: notificationsDashboards
    repository: https://github.com/opensearch-project/dashboards-notifications.git
    ref: 36dc533a55bd3e7ef04e55069cb96de50880189b
    commit_id: 36dc533a55bd3e7ef04e55069cb96de50880189b
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/notificationsDashboards-2.19.4.zip
  - name: alertingDashboards
    repository: https://github.com/opensearch-project/alerting-dashboards-plugin.git
    ref: 14245bed4a2c3a188fe30f8c03ad65fe28fc9427
    commit_id: 14245bed4a2c3a188fe30f8c03ad65fe28fc9427
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/alertingDashboards-2.19.4.zip
  - name: securityAnalyticsDashboards
    repository: https://github.com/opensearch-project/security-analytics-dashboards-plugin.git
    ref: 4ef839104027c3a6975dc2c82ad6eb0aea1ea1c0
    commit_id: 4ef839104027c3a6975dc2c82ad6eb0aea1ea1c0
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/securityAnalyticsDashboards-2.19.4.zip
  - name: securityDashboards
    repository: https://github.com/opensearch-project/security-dashboards-plugin.git
    ref: 7c2f373377ac2dae4836e3002c1dec4632d945d2
    commit_id: 7c2f373377ac2dae4836e3002c1dec4632d945d2
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/securityDashboards-2.19.4.zip
  - name: searchRelevanceDashboards
    repository: https://github.com/opensearch-project/dashboards-search-relevance.git
    ref: e084d03c190af5f5934349ac187ee4564a51b0fd
    commit_id: e084d03c190af5f5934349ac187ee4564a51b0fd
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/searchRelevanceDashboards-2.19.4.zip
  - name: assistantDashboards
    repository: https://github.com/opensearch-project/dashboards-assistant.git
    ref: 68e4a7e8cbdd7481d9a15bcc91a856726ed0ac3a
    commit_id: 68e4a7e8cbdd7481d9a15bcc91a856726ed0ac3a
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/assistantDashboards-2.19.4.zip
  - name: flowFrameworkDashboards
    repository: https://github.com/opensearch-project/dashboards-flow-framework.git
    ref: 403ae4e881016c3d9d89a1f7cdb655d72327863c
    commit_id: 403ae4e881016c3d9d89a1f7cdb655d72327863c
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/flowFrameworkDashboards-2.19.4.zip
  - name: queryInsightsDashboards
    repository: https://github.com/opensearch-project/query-insights-dashboards.git
    ref: b1048a520a5bb1727871c5f479783919c8d0a284
    commit_id: b1048a520a5bb1727871c5f479783919c8d0a284
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/tar/builds/opensearch-dashboards/plugins/queryInsightsDashboards-2.19.4.zip
